org.swixml.converters

## Class Util

- java.lang.Object
- - org.swixml.converters.Util

-     public final class Util
      extends Object

  Util. Class with static helper methods
  Version:
    $Revision: 1.1 $
  Author:
    Wolf Paulus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Util()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `capitalize(String s)` Return a capitalized version of the specified property name.
    `static double[]` | `da(StringTokenizer st)` Returns the remaining tokens of a StringTokenizer in a double-Array
    `static int` | `getInteger(Element element, String attr, int def)` Returns the integer value of the given XML attribute; or the default value.
    `static int[]` | `ia(StringTokenizer st)` Returns the remaining tokens of a StringTokenizer in an int-Array

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Util

          public Util()

  - ### Method Detail

    - #### ia

          public static int[] ia(StringTokenizer st)

      Returns the remaining tokens of a StringTokenizer in an int-Array
      Parameters:
        `st` - `StringTokenizer`
      Returns:
        `int[]` array containing the remaining tokens converted into int(s)

    - #### da

          public static double[] da(StringTokenizer st)

      Returns the remaining tokens of a StringTokenizer in a double-Array
      Parameters:
        `st` - `StringTokenizer`
      Returns:
        `double[]` array containing the remaining tokens converted into double(s)

    - #### capitalize

          public static final String capitalize(String s)

      Return a capitalized version of the specified property name.
      Parameters:
        `s` - `String` The property name
      Returns:
        `String` given String with 1st letter capitalized

    - #### getInteger

          public static final int getInteger(Element element,
                       String attr,
                       int def)

      Returns the integer value of the given XML attribute; or the default value.

Copyright © 2002 - 2013 - Wolf Paulus - wolfpaulus.com. All rights reserved.